EmptyVisitor (jakarta-bcel 5.1 API)
Keywords: org.apache.bcel.classfile.EmptyVisitor,EmptyVisitor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.classfile
Class EmptyVisitor

    java.lang.Object
      |
      +--org.apache.bcel.classfile.EmptyVisitor

All Implemented Interfaces:
  Visitor

Direct Known Subclasses:
  BCELifier, StringRepresentation

public class EmptyVisitor
extends java.lang.Object
implements Visitor

Visitor with empty method bodies, can be extended and used in conjunction with the DescendingVisitor class, e.g. By courtesy of David Spencer.

Version:
  $Id: EmptyVisitor.java,v 1.2 2002/02/04 13:07:30 enver Exp $
See Also:
  `DescendingVisitor`

Constructor Summary
`protected` | `EmptyVisitor()`

Method Summary
`void` | `visitCode(Code obj)`
`void` | `visitCodeException(CodeException obj)`
`void` | `visitConstantClass(ConstantClass obj)`
`void` | `visitConstantDouble(ConstantDouble obj)`
`void` | `visitConstantFieldref(ConstantFieldref obj)`
`void` | `visitConstantFloat(ConstantFloat obj)`
`void` | `visitConstantInteger(ConstantInteger obj)`
`void` | `visitConstantInterfaceMethodref(ConstantInterfaceMethodref obj)`
`void` | `visitConstantLong(ConstantLong obj)`
`void` | `visitConstantMethodref(ConstantMethodref obj)`
`void` | `visitConstantNameAndType(ConstantNameAndType obj)`
`void` | `visitConstantPool(ConstantPool obj)`
`void` | `visitConstantString(ConstantString obj)`
`void` | `visitConstantUtf8(ConstantUtf8 obj)`
`void` | `visitConstantValue(ConstantValue obj)`
`void` | `visitDeprecated(Deprecated obj)`
`void` | `visitExceptionTable(ExceptionTable obj)`
`void` | `visitField(Field obj)`
`void` | `visitInnerClass(InnerClass obj)`
`void` | `visitInnerClasses(InnerClasses obj)`
`void` | `visitJavaClass(JavaClass obj)`
`void` | `visitLineNumber(LineNumber obj)`
`void` | `visitLineNumberTable(LineNumberTable obj)`
`void` | `visitLocalVariable(LocalVariable obj)`
`void` | `visitLocalVariableTable(LocalVariableTable obj)`
`void` | `visitMethod(Method obj)`
`void` | `visitSignature(Signature obj)`
`void` | `visitSourceFile(SourceFile obj)`
`void` | `visitStackMap(StackMap obj)`
`void` | `visitStackMapEntry(StackMapEntry obj)`
`void` | `visitSynthetic(Synthetic obj)`
`void` | `visitUnknown(Unknown obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyVisitor

    protected EmptyVisitor()

Method Detail

### visitCode

    public void visitCode(Code obj)

  Specified by:
    `visitCode` in interface `Visitor`

### visitCodeException

    public void visitCodeException(CodeException obj)

  Specified by:
    `visitCodeException` in interface `Visitor`

### visitConstantClass

    public void visitConstantClass(ConstantClass obj)

  Specified by:
    `visitConstantClass` in interface `Visitor`

### visitConstantDouble

    public void visitConstantDouble(ConstantDouble obj)

  Specified by:
    `visitConstantDouble` in interface `Visitor`

### visitConstantFieldref

    public void visitConstantFieldref(ConstantFieldref obj)

  Specified by:
    `visitConstantFieldref` in interface `Visitor`

### visitConstantFloat

    public void visitConstantFloat(ConstantFloat obj)

  Specified by:
    `visitConstantFloat` in interface `Visitor`

### visitConstantInteger

    public void visitConstantInteger(ConstantInteger obj)

  Specified by:
    `visitConstantInteger` in interface `Visitor`

### visitConstantInterfaceMethodref

    public void visitConstantInterfaceMethodref(ConstantInterfaceMethodref obj)

  Specified by:
    `visitConstantInterfaceMethodref` in interface `Visitor`

### visitConstantLong

    public void visitConstantLong(ConstantLong obj)

  Specified by:
    `visitConstantLong` in interface `Visitor`

### visitConstantMethodref

    public void visitConstantMethodref(ConstantMethodref obj)

  Specified by:
    `visitConstantMethodref` in interface `Visitor`

### visitConstantNameAndType

    public void visitConstantNameAndType(ConstantNameAndType obj)

  Specified by:
    `visitConstantNameAndType` in interface `Visitor`

### visitConstantPool

    public void visitConstantPool(ConstantPool obj)

  Specified by:
    `visitConstantPool` in interface `Visitor`

### visitConstantString

    public void visitConstantString(ConstantString obj)

  Specified by:
    `visitConstantString` in interface `Visitor`

### visitConstantUtf8

    public void visitConstantUtf8(ConstantUtf8 obj)

  Specified by:
    `visitConstantUtf8` in interface `Visitor`

### visitConstantValue

    public void visitConstantValue(ConstantValue obj)

  Specified by:
    `visitConstantValue` in interface `Visitor`

### visitDeprecated

    public void visitDeprecated(Deprecated obj)

  Specified by:
    `visitDeprecated` in interface `Visitor`

### visitExceptionTable

    public void visitExceptionTable(ExceptionTable obj)

  Specified by:
    `visitExceptionTable` in interface `Visitor`

### visitField

    public void visitField(Field obj)

  Specified by:
    `visitField` in interface `Visitor`

### visitInnerClass

    public void visitInnerClass(InnerClass obj)

  Specified by:
    `visitInnerClass` in interface `Visitor`

### visitInnerClasses

    public void visitInnerClasses(InnerClasses obj)

  Specified by:
    `visitInnerClasses` in interface `Visitor`

### visitJavaClass

    public void visitJavaClass(JavaClass obj)

  Specified by:
    `visitJavaClass` in interface `Visitor`

### visitLineNumber

    public void visitLineNumber(LineNumber obj)

  Specified by:
    `visitLineNumber` in interface `Visitor`

### visitLineNumberTable

    public void visitLineNumberTable(LineNumberTable obj)

  Specified by:
    `visitLineNumberTable` in interface `Visitor`

### visitLocalVariable

    public void visitLocalVariable(LocalVariable obj)

  Specified by:
    `visitLocalVariable` in interface `Visitor`

### visitLocalVariableTable

    public void visitLocalVariableTable(LocalVariableTable obj)

  Specified by:
    `visitLocalVariableTable` in interface `Visitor`

### visitMethod

    public void visitMethod(Method obj)

  Specified by:
    `visitMethod` in interface `Visitor`

### visitSignature

    public void visitSignature(Signature obj)

  Specified by:
    `visitSignature` in interface `Visitor`

### visitSourceFile

    public void visitSourceFile(SourceFile obj)

  Specified by:
    `visitSourceFile` in interface `Visitor`

### visitSynthetic

    public void visitSynthetic(Synthetic obj)

  Specified by:
    `visitSynthetic` in interface `Visitor`

### visitUnknown

    public void visitUnknown(Unknown obj)

  Specified by:
    `visitUnknown` in interface `Visitor`

### visitStackMap

    public void visitStackMap(StackMap obj)

  Specified by:
    `visitStackMap` in interface `Visitor`

### visitStackMapEntry

    public void visitStackMapEntry(StackMapEntry obj)

  Specified by:
    `visitStackMapEntry` in interface `Visitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.